### Method

# Clutter PaintNode add_rectangles

#### Declaration [src]

    void
    clutter_paint_node_add_rectangles (
      ClutterPaintNode* node,
      const float* coords,
      unsigned int n_rects
    )

#### Description [src]

Adds a series of rectangles to `node`.

As a general rule for better performance its recommended to use this API instead of calling `clutter_paint_node_add_rectangle()` separately for multiple rectangles if all of the rectangles will be drawn together.

See cogl_framebuffer_draw_rectangles().

#### Parameters

`coords`

  Type: An array of `float`

  Array of coordinates containing groups of 4 float values: [x_1, y_1, x_2, y_2] that are interpreted as two position coordinates; one for the top left of the rectangle (x1, y1), and one for the bottom right of the rectangle (x2, y2).

  The length of the array is specified in the `n_rects` argument.
  The data is owned by the caller of the method.

`n_rects`

  Type: `unsigned int`

  Number of rectangles defined in `coords`.